.pagination.ui.basic {
  margin: 2rem 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.pagination.menu {
  display: inline-flex;
  vertical-align: middle;
  background: #fff;
  font-weight: 400;
  border: 1px solid rgba(34,36,38,.15);
  -webkit-box-shadow: 0 1px 2px 0 rgba(34,36,38,.15);
  box-shadow: 0 1px 2px 0 rgba(34,36,38,.15);
  border-radius: .28571429rem;
  min-height: 2.85714286em;

  .item {
    position: relative;
    vertical-align: middle;
    line-height: 1;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    padding: 1.4rem 1.4rem;
    text-transform: none;
    color: rgba(0,0,0,.87);
    font-weight: 400;
    text-align: center;
    -webkit-transition: background .1s ease,color .1s ease,-webkit-box-shadow .1s ease;
    transition: background .1s ease,color .1s ease,-webkit-box-shadow .1s ease;
    transition: background .1s ease,box-shadow .1s ease,color .1s ease;
    transition: background .1s ease,box-shadow .1s ease,color .1s ease,-webkit-box-shadow .1s ease;

    &.active {
      color: rgba(0,0,0,.95);
      border-top: none;
      background-color: rgba(0,0,0,.05);
      color: rgba(0,0,0,.95);
      -webkit-box-shadow: none;
      box-shadow: none;
    }

    &:hover {
      cursor: pointer;
      background: rgba(0,0,0,.03);
      color: rgba(0,0,0,.95);
    }

    &:before {
      position: absolute;
      content: '';
      top: 0;
      right: 0;
      height: 100%;
      width: 1px;
      background: rgba(34,36,38,.1);
    }

    @include media-breakpoint-down(xs) {
      &:nth-last-child(3), &:nth-last-child(4) {
        display: none;
      }
    }
  }
}
